package com.mortals.xhx.module.holiday.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.holiday.model.HolidayEntity;
import com.mortals.xhx.module.holiday.model.HolidayQuery;

/**
* Holiday
*
* 节假日 Form
*
* @author zxfei
* @date 2022-01-12
*/
public class HolidayForm extends BaseCRUDFormLong<HolidayEntity> {
    private HolidayEntity entity = new HolidayEntity();
    private HolidayQuery query = new HolidayQuery();
    public HolidayForm(){
    }

    @Override
    public HolidayEntity getEntity() {
        return entity;
    }

    public void setHoliday(HolidayEntity entity) {
        this.entity = entity;
    }

    @Override
    public HolidayQuery getQuery() {
        return query;
    }

    public void setQuery(HolidayQuery query) {
        this.query = query;
    }
}